package in.ocsf.frei.geld.core.model.aspects;/* kpmy 24.11.2017 */

import in.ocsf.frei.geld.core.model.Dwarf;
import in.ocsf.frei.geld.core.model.DwarfContext;

import java.util.function.BiConsumer;
import java.util.function.BiFunction;
import java.util.function.Consumer;

public interface DwarfAspect {
    BiConsumer<DwarfContext, Dwarf> perform();

    default BiFunction<DwarfContext, Dwarf, Boolean> isAvailable() {
        return (c, d) -> true;
    }

    default Consumer<Dwarf> skip() {
        return (x) -> {
        };
    }
}
