package in.ocsf.frei.geld.core.model.aspects;/* kpmy 25.11.2017 */

import java.util.Arrays;

public enum RunnerCode {
    LEFT("←", 1),
    RIGHT("→", 1),
    UP("↑", 1),
    DOWN("↓", 1),
    EAT("E", 1),
    NOOP("", 1);

    private int cost;
    private String code;

    RunnerCode(String code, int cost) {
        this.code = code;
        this.cost = cost;
    }

    public static RunnerCode codeOf(String code) {
        return Arrays.stream(values()).filter(c -> c.code.equals(code)).findFirst().orElseThrow(RuntimeException::new);
    }

    public int getCost() {
        return cost;
    }

    public String getCode() {
        return code;
    }
}
