package in.ocsf.frei.geld.core.repo;/* kpmy 15.11.2017 */

import in.ocsf.frei.geld.core.model.Dwarf;
import in.ocsf.frei.geld.core.model.DwarfState;
import in.ocsf.frei.geld.core.model.World;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.util.stream.Stream;

@RepositoryRestResource(collectionResourceRel = "dwarf", path = "dwarf")
public interface DwarfRepository extends MongoRepository<Dwarf, ObjectId>, QueryDslPredicateExecutor<Dwarf> {
    Stream<Dwarf> findAllByStateInAndWorld(DwarfState[] states, World world);
}
